[jira] Created: (CAMEL-351) Minor mistakes in pom.xml

classic Classic list List threaded Threaded
12 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] Created: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
Minor mistakes in pom.xml
-------------------------

                 Key: CAMEL-351
                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
             Project: Apache Camel
          Issue Type: Bug
          Components: camel-core
    Affects Versions: 1.3.0
            Reporter: Claus Ibsen
            Priority: Trivial


1)
apache-camel/pom.xml
Geronimo j2ee jacc spec is duplicated (2 of them)

2)
root/pomx.ml
httpcore-version>4.0-alpha6</httpcore-version
httpcore has released a -beta1 version

3)
root/pomx.ml
And groovy is listed as
<version>1.1-beta-3</version>
Groovy 1.5.4 has been released.

4)
Hibernate has just released a new batch of GA versions

5)
camel-http/pom.xml
http-client has released a 3.1 final, the pom uses -rc1

camel-string/pom.xml
stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Assigned: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org

     [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Willem Jiang reassigned CAMEL-351:
----------------------------------

    Assignee: Willem Jiang

> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=41526#action_41526 ]

Claus Ibsen commented on CAMEL-351:
-----------------------------------

If not mistaking OGNL has also released a newer version than i pom.xml files in Camel

> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=41534#action_41534 ]

Willem Jiang commented on CAMEL-351:
------------------------------------

I just upgrade the httpcore to 4.0 beta1 and found there is no httpcore-niossl 4.0 beta1 component, also the latest stringtemplate in maven is v3.1b1.
I will commit what I get at this moment.

> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=41537#action_41537 ]

Claus Ibsen commented on CAMEL-351:
-----------------------------------

#1 Fixed
#2 Partly fixed
#3 Fixed
#5 Fixed

7)
camel-mina/pom.xml
Mina has released 1.1.6 (is in maven)

8)
camel-amqp/pomx.ml
Refers to and old version of mina 1.1.3. Can it be upgraded to 1.1.6?

9)
camel-ognl/pom.xml
OGNL has released 2.7.2 (it is in maven)

10)
camel-script/pom.xml
jython has released 2.2.1 (is in maven)

> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=41538#action_41538 ]

Claus Ibsen commented on CAMEL-351:
-----------------------------------

ActiveMQ is set to v4.1.1, is there a reason it can not be upgraded to 5.0.0?

> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=41540#action_41540 ]

Willem Jiang commented on CAMEL-351:
------------------------------------

Fixed #7, #8, #9, #10 and upgraded ActiveMQ version to 5.0.0.

> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Work started: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

     [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Work on CAMEL-351 started by Willem Jiang.

> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=41692#action_41692 ]

Claus Ibsen commented on CAMEL-351:
-----------------------------------

#11
In the root pom.xml line #1056 there is a single > char that doesn't seem to have a purpose.

{code}
                      <classpath refid="etc.path"/>
                    </whichresource>
                    >

                    <mkdir dir="${full.eclipse.workspace}/.metadata/.plugins/org.eclipse.core.runtime/.settings"/>
{code}

> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=41693#action_41693 ]

Claus Ibsen commented on CAMEL-351:
-----------------------------------

#12
In prereq we could bump maven to 2.0.8

#13
junit can be upgraded to 3.8.2

#14
easymock can maybe be upgraded to 2.3

#15
hsqldb can maybe be upgraded to 1.8.0.9

#16
apache derby has released 10.3.2.1

#17
commons-dbcp has released 1.2.2

#18
commons-pool is on release 1.4 now



> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=41698#action_41698 ]

Willem Jiang commented on CAMEL-351:
------------------------------------

Done #11  #13, #14, #16, #17, #18

#12,  If there is a critical bug in maven 2.0.7 for camel build , I don't we need to upgrade the prerequisite's version of maven.
#15,  there is no hsqldb 1.8.0.9 in the maven repository

> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Closed: (CAMEL-351) Minor mistakes in pom.xml

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

     [ https://issues.apache.org/activemq/browse/CAMEL-351?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Willem Jiang closed CAMEL-351.
------------------------------

    Fix Version/s: 1.3.0
       Resolution: Fixed

Fixed most of them , and created the CAMEL-403 to keep an eye on http-core upgrading.

> Minor mistakes in pom.xml
> -------------------------
>
>                 Key: CAMEL-351
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-351
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.3.0
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>            Priority: Trivial
>             Fix For: 1.3.0
>
>
> 1)
> apache-camel/pom.xml
> Geronimo j2ee jacc spec is duplicated (2 of them)
> 2)
> root/pomx.ml
> httpcore-version>4.0-alpha6</httpcore-version
> httpcore has released a -beta1 version
> 3)
> root/pomx.ml
> And groovy is listed as
> <version>1.1-beta-3</version>
> Groovy 1.5.4 has been released.
> 4)
> Hibernate has just released a new batch of GA versions
> 5)
> camel-http/pom.xml
> http-client has released a 3.1 final, the pom uses -rc1
> camel-string/pom.xml
> stringtemplate has released v3.1 but Camel refers to 2.3b6

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.